Edit department

Prev Next

Available in Classic and VPC

Edit a department.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PUT /ncloudmcc/v1/companies/{companyId}/depts/{externalKey}

Request headers

For information about the headers common to all Media Connect Center APIs, see Media Connect Center request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
companyId String Required Integration key
  • Check from console: Media Connect Center > Developers > Basic settings > Integration key
externalKey String Required Department external key

Request body

You can include the following data in the body of your request:

Field Type Required Description
name String Required Department name
i18nNames Object Optional Department multilingual name
i18nNames.{locale} String Optional Department name by language
  • Enter in the "Language code": "Value" format.
  • Supported language codes: ko_KR | ja_JP | en_US
  • Example: "ko_KR": "인사팀", "en_US": "HR Team"
sortOrd Number Required Query display order
uprDeptExternalKey String Optional Parent department external key

Request example

The request example is as follows:

curl --location --request PUT 'https://ncloudmcc.apigw.ntruss.com/ncloudmcc/v1/companies/2b64fc1e-6e9c-40dc-8b40-991bcaada5ef/depts/hg-tw-md' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'x-ncp-region_code: KR' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Manual Development Team",
    "i18nNames": {
        "ko_KR": "매뉴얼개발팀",
        "en_US": "Manual Dev. Team"
    },
    "sortOrd": 1
}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Media Connect Center APIs, see Media Connect Center response status codes.

Response example

If the response is successful, the department is edited along with the message 200 OK.